> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Check Room Member > Use this endpoint to check whether or not a user is a member of a specific room. If the user is not a member of the room, an error response (`error-user-not-found`) is returned. You can only get the results for the rooms that you are a member of. Otherwise, you get a forbidden error response. ## OpenAPI ````json GET /api/v1/rooms.isMember { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.isMember": { "get": { "summary": "Check Room Member", "tags": [ "Rooms" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "isMember": { "type": "boolean" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "isMember": true, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "User not available in room": { "value": { "success": false, "error": "error-user-not-found" } }, "Missing user ID parameter": { "value": { "success": false, "error": "must have required property 'userId'\n must have required property 'username'\n must match exactly one schema in oneOf [error-invalid-params]", "errorType": "error-invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "get-api-v1-rooms.isMember", "description": "Use this endpoint to check whether or not a user is a member of a specific room. If the user is not a member of the room, an error response (`error-user-not-found`) is returned. You can only get the results for the rooms that you are a member of. Otherwise, you get a forbidden error response.", "parameters": [ { "schema": { "type": "string" }, "in": "query", "name": "roomId", "description": "Enter the room ID in which you want to check for the user.", "required": true }, { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string" }, "in": "query", "name": "userId", "description": "Enter the user ID that you want to check. Alternatively, you can use the `username` parameter and provide the user name instead of the user ID.", "required": true } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } }, "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````